package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmRecAdvAttrForm extends HrmBaseForm {
  String selectAll;
  
  String[] txtQualCode;
  
  String[] txtMandatoryFlag;
  
  String[] txtMaxmQualFlag;
  
  String[] txtMinPC;
  
  String[] txtLocCode;
  
  String[] txtNoOfVacancy;
  
  String[] txtReqExp;
  
  String[] txtMinWrkExp;
  
  String[] txtMaxWrkExp;
  
  String[] txtSkillCode;
  
  String[] txtSkillDesc;
  
  String[] txtLangCode;
  
  String[] txtReqType;
  
  private ArrayList arylstHrmAdvLocVacencyDtl = new ArrayList();
  
  private ArrayList arylstHrmAdvQualReqDtl = new ArrayList();
  
  private ArrayList arylstHrmAdvLngReqDtl = new ArrayList();
  
  private ArrayList arylstHrmAdvSkillReqDtl = new ArrayList();
  
  private ArrayList arylstHrmAdvWorkExpDtl = new ArrayList();
  
  private ArrayList arylstHrmAdvJobDescDtl = new ArrayList();
  
  private String[] hdnLocationId;
  
  private String[] hdnQualificationId;
  
  private String[] hdnLanguageId;
  
  private String[] hdnSkillId;
  
  private String[] workId;
  
  private String[] hdnPrevDtlId;
  
  private String prevDtlId;
  
  private String[] txtLocDesc;
  
  private String[] txtLangDesc;
  
  private String[] txtQualDesc;
  
  private String[] txtWorkDesc;
  
  private String changeEnb;
  
  private String refNo;
  
  private String desgn;
  
  private String refId;
  
  String butrefNo;
  
  String butPosition;
  
  String disabbutPosition;
  
  String disabbutrefNo;
  
  private String category;
  
  private String[] txtExposureIn;
  
  private String[] txtSpecialisation;
  
  private String[] txtStateId;
  
  private String[] txtState;
  
  private String[] txtStateCode;
  
  private String[] txtCity;
  
  private String butAdvAttrStateCode;
  
  private String[] txtExpIn;
  
  private String[] txtExpArea;
  
  private String[] txtSkill;
  
  private String[] txtRemarks;
  
  private String[] txtJobDesc;
  
  private String[] txtSrlNo;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String[] getTxtQualCode() {
    return this.txtQualCode;
  }
  
  public void setTxtQualCode(String[] newTxtQualCode) {
    this.txtQualCode = newTxtQualCode;
  }
  
  public String[] getTxtMandatoryFlag() {
    return this.txtMandatoryFlag;
  }
  
  public void setTxtMandatoryFlag(String[] newTxtMandatoryFlag) {
    this.txtMandatoryFlag = newTxtMandatoryFlag;
  }
  
  public String[] getTxtMaxmQualFlag() {
    return this.txtMaxmQualFlag;
  }
  
  public void setTxtMaxmQualFlag(String[] newTxtMaxmQualFlag) {
    this.txtMaxmQualFlag = newTxtMaxmQualFlag;
  }
  
  public String[] getTxtMinPC() {
    return this.txtMinPC;
  }
  
  public void setTxtMinPC(String[] newTxtMinPC) {
    this.txtMinPC = newTxtMinPC;
  }
  
  public String[] getTxtLocCode() {
    return this.txtLocCode;
  }
  
  public void setTxtLocCode(String[] newTxtLocCode) {
    this.txtLocCode = newTxtLocCode;
  }
  
  public String[] getTxtNoOfVacancy() {
    return this.txtNoOfVacancy;
  }
  
  public void setTxtNoOfVacancy(String[] newTxtNoOfVacancy) {
    this.txtNoOfVacancy = newTxtNoOfVacancy;
  }
  
  public String[] getTxtReqExp() {
    return this.txtReqExp;
  }
  
  public void setTxtReqExp(String[] newTxtReqExp) {
    this.txtReqExp = newTxtReqExp;
  }
  
  public String[] getTxtMinWrkExp() {
    return this.txtMinWrkExp;
  }
  
  public void setTxtMinWrkExp(String[] newTxtMinWrkExp) {
    this.txtMinWrkExp = newTxtMinWrkExp;
  }
  
  public String[] getTxtMaxWrkExp() {
    return this.txtMaxWrkExp;
  }
  
  public void setTxtMaxWrkExp(String[] newTxtMaxWrkExp) {
    this.txtMaxWrkExp = newTxtMaxWrkExp;
  }
  
  public String[] getTxtSkillCode() {
    return this.txtSkillCode;
  }
  
  public void setTxtSkillCode(String[] newTxtSkillCode) {
    this.txtSkillCode = newTxtSkillCode;
  }
  
  public String[] getTxtSkillDesc() {
    return this.txtSkillDesc;
  }
  
  public void setTxtSkillDesc(String[] newTxtSkillDesc) {
    this.txtSkillDesc = newTxtSkillDesc;
  }
  
  public String[] getTxtLangCode() {
    return this.txtLangCode;
  }
  
  public void setTxtLangCode(String[] newTxtLangCode) {
    this.txtLangCode = newTxtLangCode;
  }
  
  public String[] getTxtReqType() {
    return this.txtReqType;
  }
  
  public void setTxtReqType(String[] newTxtReqType) {
    this.txtReqType = newTxtReqType;
  }
  
  public ArrayList getArylstHrmAdvLocVacencyDtl() {
    return this.arylstHrmAdvLocVacencyDtl;
  }
  
  public void setArylstHrmAdvLocVacencyDtl(ArrayList newArylstHrmAdvLocVacencyDtl) {
    this.arylstHrmAdvLocVacencyDtl = newArylstHrmAdvLocVacencyDtl;
  }
  
  public ArrayList getArylstHrmAdvQualReqDtl() {
    return this.arylstHrmAdvQualReqDtl;
  }
  
  public void setArylstHrmAdvQualReqDtl(ArrayList newArylstHrmAdvQualReqDtl) {
    this.arylstHrmAdvQualReqDtl = newArylstHrmAdvQualReqDtl;
  }
  
  public ArrayList getArylstHrmAdvLngReqDtl() {
    return this.arylstHrmAdvLngReqDtl;
  }
  
  public void setArylstHrmAdvLngReqDtl(ArrayList newArylstHrmAdvLngReqDtl) {
    this.arylstHrmAdvLngReqDtl = newArylstHrmAdvLngReqDtl;
  }
  
  public ArrayList getArylstHrmAdvSkillReqDtl() {
    return this.arylstHrmAdvSkillReqDtl;
  }
  
  public void setArylstHrmAdvSkillReqDtl(ArrayList newArylstHrmAdvSkillReqDtl) {
    this.arylstHrmAdvSkillReqDtl = newArylstHrmAdvSkillReqDtl;
  }
  
  public ArrayList getArylstHrmAdvWorkExpDtl() {
    return this.arylstHrmAdvWorkExpDtl;
  }
  
  public void setArylstHrmAdvWorkExpDtl(ArrayList newArylstHrmAdvWorkExpDtl) {
    this.arylstHrmAdvWorkExpDtl = newArylstHrmAdvWorkExpDtl;
  }
  
  public ArrayList getArylstHrmAdvJobDescDtl() {
    return this.arylstHrmAdvJobDescDtl;
  }
  
  public void setArylstHrmAdvJobDescDtl(ArrayList newArylstHrmAdvJobDescDtl) {
    this.arylstHrmAdvJobDescDtl = newArylstHrmAdvJobDescDtl;
  }
  
  public String[] getHdnLocationId() {
    return this.hdnLocationId;
  }
  
  public void setHdnLocationId(String[] newHdnLocationId) {
    this.hdnLocationId = newHdnLocationId;
  }
  
  public String[] getHdnQualificationId() {
    return this.hdnQualificationId;
  }
  
  public void setHdnQualificationId(String[] newHdnQualificationId) {
    this.hdnQualificationId = newHdnQualificationId;
  }
  
  public String[] getHdnLanguageId() {
    return this.hdnLanguageId;
  }
  
  public void setHdnLanguageId(String[] newHdnLanguageId) {
    this.hdnLanguageId = newHdnLanguageId;
  }
  
  public String[] getHdnSkillId() {
    return this.hdnSkillId;
  }
  
  public void setHdnSkillId(String[] newHdnSkillId) {
    this.hdnSkillId = newHdnSkillId;
  }
  
  public String[] getWorkId() {
    return this.workId;
  }
  
  public void setWorkId(String[] newWorkId) {
    this.workId = newWorkId;
  }
  
  public String[] getHdnPrevDtlId() {
    return this.hdnPrevDtlId;
  }
  
  public void setHdnPrevDtlId(String[] newHdnPrevDtlId) {
    this.hdnPrevDtlId = newHdnPrevDtlId;
  }
  
  public String getPrevDtlId() {
    return this.prevDtlId;
  }
  
  public void setPrevDtlId(String newPrevDtlId) {
    this.prevDtlId = newPrevDtlId;
  }
  
  public String[] getTxtLocDesc() {
    return this.txtLocDesc;
  }
  
  public void setTxtLocDesc(String[] newTxtLocDesc) {
    this.txtLocDesc = newTxtLocDesc;
  }
  
  public String[] getTxtLangDesc() {
    return this.txtLangDesc;
  }
  
  public void setTxtLangDesc(String[] newTxtLangDesc) {
    this.txtLangDesc = newTxtLangDesc;
  }
  
  public String[] getTxtQualDesc() {
    return this.txtQualDesc;
  }
  
  public void setTxtQualDesc(String[] newTxtQualDesc) {
    this.txtQualDesc = newTxtQualDesc;
  }
  
  public String[] getTxtWorkDesc() {
    return this.txtWorkDesc;
  }
  
  public void setTxtWorkDesc(String[] newTxtWorkDesc) {
    this.txtWorkDesc = newTxtWorkDesc;
  }
  
  public String getChangeEnb() {
    return this.changeEnb;
  }
  
  public void setChangeEnb(String newChangeEnb) {
    this.changeEnb = newChangeEnb;
  }
  
  public String getRefNo() {
    return this.refNo;
  }
  
  public void setRefNo(String newRefNo) {
    this.refNo = newRefNo;
  }
  
  public String getDesgn() {
    return this.desgn;
  }
  
  public void setDesgn(String newDesgn) {
    this.desgn = newDesgn;
  }
  
  public String getRefId() {
    return this.refId;
  }
  
  public void setRefId(String newRefId) {
    this.refId = newRefId;
  }
  
  public String getButrefNo() {
    return this.butrefNo;
  }
  
  public void setButrefNo(String newButrefNo) {
    this.butrefNo = newButrefNo;
  }
  
  public String getButPosition() {
    return this.butPosition;
  }
  
  public void setButPosition(String newButPosition) {
    this.butPosition = newButPosition;
  }
  
  public String getDisabbutPosition() {
    return this.disabbutPosition;
  }
  
  public void setDisabbutPosition(String newDisabbutPosition) {
    this.disabbutPosition = newDisabbutPosition;
  }
  
  public String getDisabbutrefNo() {
    return this.disabbutrefNo;
  }
  
  public void setDisabbutrefNo(String newDisabbutrefNo) {
    this.disabbutrefNo = newDisabbutrefNo;
  }
  
  public String getCategory() {
    return this.category;
  }
  
  public void setCategory(String newCategory) {
    this.category = newCategory;
  }
  
  public String[] getTxtExposureIn() {
    return this.txtExposureIn;
  }
  
  public void setTxtExposureIn(String[] newTxtExposureIn) {
    this.txtExposureIn = newTxtExposureIn;
  }
  
  public String[] getTxtSpecialisation() {
    return this.txtSpecialisation;
  }
  
  public void setTxtSpecialisation(String[] newTxtSpecialisation) {
    this.txtSpecialisation = newTxtSpecialisation;
  }
  
  public String[] getTxtStateId() {
    return this.txtStateId;
  }
  
  public void setTxtStateId(String[] newTxtStateId) {
    this.txtStateId = newTxtStateId;
  }
  
  public String[] getTxtState() {
    return this.txtState;
  }
  
  public void setTxtState(String[] newTxtState) {
    this.txtState = newTxtState;
  }
  
  public String[] getTxtStateCode() {
    return this.txtStateCode;
  }
  
  public void setTxtStateCode(String[] newTxtStateCode) {
    this.txtStateCode = newTxtStateCode;
  }
  
  public String[] getTxtCity() {
    return this.txtCity;
  }
  
  public void setTxtCity(String[] newTxtCity) {
    this.txtCity = newTxtCity;
  }
  
  public String getButAdvAttrStateCode() {
    return this.butAdvAttrStateCode;
  }
  
  public void setButAdvAttrStateCode(String newButAdvAttrStateCode) {
    this.butAdvAttrStateCode = newButAdvAttrStateCode;
  }
  
  public String[] getTxtExpIn() {
    return this.txtExpIn;
  }
  
  public void setTxtExpIn(String[] newTxtExpIn) {
    this.txtExpIn = newTxtExpIn;
  }
  
  public String[] getTxtExpArea() {
    return this.txtExpArea;
  }
  
  public void setTxtExpArea(String[] newTxtExpArea) {
    this.txtExpArea = newTxtExpArea;
  }
  
  public String[] getTxtSkill() {
    return this.txtSkill;
  }
  
  public void setTxtSkill(String[] newTxtSkill) {
    this.txtSkill = newTxtSkill;
  }
  
  public String[] getTxtRemarks() {
    return this.txtRemarks;
  }
  
  public void setTxtRemarks(String[] newTxtRemarks) {
    this.txtRemarks = newTxtRemarks;
  }
  
  public String[] getTxtJobDesc() {
    return this.txtJobDesc;
  }
  
  public void setTxtJobDesc(String[] newTxtJobDesc) {
    this.txtJobDesc = newTxtJobDesc;
  }
  
  public String[] getTxtSrlNo() {
    return this.txtSrlNo;
  }
  
  public void setTxtSrlNo(String[] newTxtSrlNo) {
    this.txtSrlNo = newTxtSrlNo;
  }
}
